package com.jscape.inet.proxy.socks.protocol.v5.messages;

/**
 * @author Alex Usun
 */
public class AuthenticationMethodResponse
        extends Message {

    public final int method;

    public AuthenticationMethodResponse(int method) {
        this.method = method;
    }

    public AuthenticationMethodResponse(AuthenticationMethodType method) {
        this(method.code);
    }

    @Override
    public String toString() {
        return "AuthenticationMethodResponse {"
               + "method=" + this.method
               + '}';
    }
}
